<template>
    <f7-page name="account" @page:beforein="onPageBeforeIn">
		<!-- Top Navbar -->
		<f7-navbar :sliding="false" large title-large="Akun">
            <f7-nav-left v-if="user.role.slug == 'public'">
                <f7-link href="/" icon-f7="chevron_left" color="smoothgray" icon-only></f7-link>
            </f7-nav-left>
            <f7-nav-title class="show-small-title">Managemen Akun</f7-nav-title>
            <f7-nav-right>
                <f7-link @click="doLogout" href="#" icon-f7="exit" color="smoothgray" icon-only></f7-link>
            </f7-nav-right>
		</f7-navbar>
        <f7-block class="no-margin-bottom">
            <div class="display-block">
                <div class="img-uploader float-left margin-right">
                    <img v-if="user.profile.media != null" :src="user.profile.media.url.small" width="96" class="img-circle">
                    <div v-else :data-initial-extra-large-circle="user.profile.initial"></div>
                </div>
                <h2>{{ user.profile.fullname }}</h2>
                <span class="display-block" v-if="user.profile.gender != null || user.profile.birthday != null"><span v-if="user.profile.gender != null">{{ user.profile.gender == 'm' ? 'Laki-Laki' : 'Perempuan' }},</span> <span v-if="user.profile.birthday != null">{{ calculateAge(user.profile.birthday) }} Tahun</span>
                <span class="display-block">{{ user.profile.phone }}</span></span>
            </div>
        </f7-block> 
        <br>
        <f7-block-title class="font-bold float-none no-margin-left">Poin &amp; Saldo</f7-block-title>
        <f7-list no-hairlines>
            <f7-list-item title="Poin">
                <f7-badge class="bg-pink">{{ user.profile.point }}</f7-badge>
                <f7-icon slot="media" f7="gift" size="24" style="margin-top:10px;"></f7-icon>
            </f7-list-item>
            <f7-list-item title="Saldo" :after="`Rp ${user.profile.balance.format(2,0,',','.')}`">
                <f7-icon slot="media" f7="money_dollar_round" size="24" style="margin-top:10px;"></f7-icon>
            </f7-list-item>
            <f7-list-item title="Toko" link="/account/store/" :after="user.profile.store_name != null ? user.profile.store_name : ''">
                <f7-icon slot="media" f7="tags" size="24" style="margin-top:10px;"></f7-icon>
            </f7-list-item>
        </f7-list>
        <f7-block-title class="font-bold no-margin-left">Profil</f7-block-title>
        <f7-list no-hairlines>
            <f7-list-item v-if="user.role.slug != 'public'" title="Data Diri" link="/account/view/">
                <f7-icon slot="media" f7="person" size="24" style="margin-top:10px;"></f7-icon>
            </f7-list-item>
            <f7-list-item v-if="user.role.slug == 'public'" title="Data Diri" link="/account/edit/">
                <f7-icon slot="media" f7="person" size="24" style="margin-top:10px;"></f7-icon>
            </f7-list-item>
            <f7-list-item v-if="user.role.slug != 'public'" title="Anggota Keluarga" link="/account/family/">
                <f7-badge class="bg-lightgreen">{{ user.childs.length }}</f7-badge>
                <f7-icon slot="media" f7="persons" size="24" style="margin-top:10px;"></f7-icon>
            </f7-list-item>    
            <f7-list-item v-if="user.role.slug != 'public'" title="Rekening Bank" link="/account/banks/">
                <f7-icon slot="media" f7="list" size="24" style="margin-top:10px;"></f7-icon>
                <f7-badge class="bg-lightpurple">{{ user.bank_accounts.length }}</f7-badge>
            </f7-list-item>            
            <f7-list-item title="Riwayat Akun" link="#">
                <f7-icon slot="media" f7="time" size="24" style="margin-top:10px;"></f7-icon>
            </f7-list-item>
            <f7-list-item title="Kontak RingSatu" link="/getintouch/">
                <f7-icon slot="media" f7="phone" size="24" style="margin-top:10px;"></f7-icon>
            </f7-list-item>
        </f7-list>
	</f7-page>
</template>
<script>
import moment from 'moment';
import { mapGetters } from 'vuex';
import { initial } from '../js/utils';
import { setTimeout } from 'timers';
export default {
    name: 'Account',
	data(){
        return {};
    },
	computed: {
        ...mapGetters('auth', ['user'])
    },
    methods: {
        initial,
        calculateAge(birthday){
            const age = moment().diff(birthday, 'years');
            return age;
        },
        onPageBeforeIn(){
            const self = this;
            const app = self.$f7;
        },
        doLogout(){
            const self = this;
            const app = self.$f7;

            app.dialog.confirm('Anda yakin ingin keluar?', function(){
                app.preloader.show('green');

                self.$store.dispatch('auth/doLogout').then((response) => {
                    setTimeout(()=>{
                        app.preloader.hide();
                        self.$f7router.navigate('/login/', {
                            ignoreCache: true
                        });
                    }, 1000);
                });
            });
        }
    }
}
</script>
